# Issuer Country

Matches records whose ssl.issuer.country equals US.

Source: https://docs.deepinfo.com/reference/discovery/domain-search/examples/ssl-issuer-country/

Last updated: 2026-09-26

---
`POST https://api.deepinfo.com/v1/discovery/domain-search?page_size=25`

Example 16 of 29 in **Filters › SSL** · [Domain Search Examples](/reference/discovery/domain-search/examples/) · endpoint: [Domain Search](/reference/discovery/domain-search/)

Tags: `field` `ssl.issuer.country` · `operator` `eq`

Matches records whose `ssl.issuer.country` equals `US`.

Certificate fields keep their original case.

In the response, look at `results[].ssl.issuer.country`.

## Request

| Parameter | In | Value |
|---|---|---|
| `page_size` | query | `25` |
| `filters.must[0].name` | body | `ssl.issuer.country` |
| `filters.must[0].type` | body | `eq` |
| `filters.must[0].value` | body | `US` |

```bash
curl -X POST 'https://api.deepinfo.com/v1/discovery/domain-search?page_size=25' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "filters": {
    "must": [
      {
        "name": "ssl.issuer.country",
        "type": "eq",
        "value": "US"
      }
    ]
  }
}'
```

## Response

### 200 · OK

> Shortened for this page: results: 3 of 25 shown; results[].webdata.http.headers.others: first 10 items

`Content-Type: application/json` · `ratelimit-limit: 1000` · `ratelimit-remaining: 999` · `ratelimit-reset: 1` · `x-ratelimit-limit-hour: 100000` · `x-ratelimit-limit-minute: 10000` · `x-ratelimit-limit-second: 1000` · `x-ratelimit-remaining-hour: 99904` · `x-ratelimit-remaining-minute: 9998` · `x-ratelimit-remaining-second: 999` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
{
  "page": 1,
  "page_size": 25,
  "result_count": 682658493,
  "results": [
    {
      "punycode": "usermanager.visionportal.net",
      "unicode": "usermanager.visionportal.net",
      "is_idn": false,
      "subdomain": {
        "punycode": "usermanager",
        "unicode": "usermanager",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 11
      },
      "subdomain_last": {
        "punycode": "usermanager",
        "unicode": "usermanager",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 11
      },
      "subdomain_root": {
        "punycode": "usermanager",
        "unicode": "usermanager",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 11
      },
      "name": {
        "punycode": "usermanager.visionportal",
        "unicode": "usermanager.visionportal",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 23,
        "lang": "en",
        "keywords": [
          "user",
          "manager",
          "vision",
          "portal"
        ],
        "keyword_count": 4,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "visionportal.net",
        "unicode": "visionportal.net",
        "is_idn": false,
        "name": {
          "punycode": "visionportal",
          "unicode": "visionportal",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 12,
          "lang": "en",
          "keywords": [
            "vision",
            "portal"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "net",
          "unicode": "net",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "net",
          "unicode": "net",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2020-12-07T23:49:21Z",
          "update_date": "2023-12-08T13:14:06Z",
          "expiry_date": "2026-12-07T23:49:21Z",
          "registrar": "godaddy.com, llc",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "ns13.domaincontrol.com",
            "ns14.domaincontrol.com"
          ],
          "domain_status": [
            "clientdeleteprohibited",
            "clientrenewprohibited",
            "clienttransferprohibited",
            "clientupdateprohibited"
          ],
          "whois_server": "whois.godaddy.com",
          "check_date": "2026-08-17T02:51:38Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-08-17T02:51:38Z",
        "whois_create_date_historical": null,
        "whois_last_change_date": "2024-11-05T07:57:19Z",
        "whois_registrant_email_historical": null,
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-09-12T05:09:34Z",
            "ip_addresses": [
              "3.33.251.168",
              "15.197.225.128"
            ]
          }
        },
        "dns_last_change_date": "2026-09-12T05:12:24Z",
        "ip_history": null,
        "ssl": {
          "validity": {
            "start_date": "2026-03-06T10:56:58Z",
            "end_date": "2026-09-20T10:56:58Z"
          },
          "serial_number": "17532842201276567612",
          "check_date": "2026-05-20T08:56:24Z"
        },
        "ssl_last_change_date": "2026-05-20T08:56:44Z"
      },
      "type": 2,
      "subdomain_level_count": 1,
      "dns": {
        "a": {
          "update_date": "2026-09-09T06:08:07Z",
          "ip_addresses": [
            "13.66.226.80"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-09T06:08:07Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-09-09T06:08:07Z",
          "name_servers": []
        },
        "mx": {
          "update_date": "2026-09-09T06:08:07Z",
          "mail_servers": []
        },
        "soa": {
          "update_date": "2026-09-09T06:08:07Z",
          "mnames": [],
          "rnames": [],
          "rname_emails": []
        },
        "txt": {
          "update_date": "2026-09-09T06:08:07Z",
          "values": []
        },
        "cname": {
          "update_date": "2026-09-09T06:08:07Z",
          "values": [
            "usermanager-d8f7f7bcg9bnhbgy.westus2-01.azurewebsites.net."
          ]
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-09T06:08:08Z",
      "ip_history": [
        "13.66.226.80"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "usermanager.visionportal.net"
        ],
        "version": 3,
        "serial_number": "5869545807526412539030357471247637759",
        "fingerprint": {
          "sha256": "94e3efa011feb179de4f56064e2f5d7855ea5f204bde2f510bf2bae105c0e4e1",
          "sha1": "4a46f2d2b507fa148e4686c5819f4fd674ac1aa0",
          "md5": "7c04fbde215d36b98cba2d9805367bce"
        },
        "validity": {
          "start_date": "2026-09-09T00:00:00Z",
          "end_date": "2027-03-09T23:59:59Z",
          "length": 15724799
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": true,
          "value": "mqqVcW4rwwCjYdTOwHWcX+x2ls8egAvU91f+dHGywaNnFEetN5CaVOVkBegEVuOFTPz1SWbWx80M5iTvH6jqRJL+UKoLAkxLrqnurvph37n44eMuDZJXeUKzvlQIQqd/LWDaoRUSR07xoHddH2exRO4ydadcrQk5KMibFHl6Wblq9dtJ6EgwDlkBrKD6j5HdBVHRlQ7vej6UfystRs5BddbY/nPXXERQoNDPMM1sbsMyQB2I/PsorfPXul+SK5YrRkhbjgbaPyZm41DTw7T2yDC5gp7e3yWzJGu5cX5B3R8Yg8gvKDH8c6SCNjMhuW73k3l/Wycr2L13uJBHS1Wzww==",
          "algorithm": {
            "oid": "1.2.840.113549.1.1.11",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=GeoTrust TLS RSA CA G1,OU=www.digicert.com,O=DigiCert Inc,C=US",
        "issuer": {
          "common_name": "GeoTrust TLS RSA CA G1",
          "country": "US",
          "state": null,
          "locality": null,
          "organization": "DigiCert Inc",
          "organizational_unit": "www.digicert.com"
        },
        "subject_dn": "CN=usermanager.visionportal.net",
        "subject": {
          "common_name": "usermanager.visionportal.net",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "lE/UXYvkpOKmgP792PkA76O+Alc=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.23.140.1.2.1"
          ],
          "extended_key_usage": {
            "client_auth": true,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": true,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2026-09-09T03:45:25Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "usermanager.visionportal.net"
            ]
          },
          "subject_key_id": "Z+3AXi7je6+HYMzcVVc3kicDd7A="
        },
        "check_date": "2026-09-10T22:00:49Z"
      },
      "ssl_last_change_date": "2026-09-10T22:01:42Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "83c3690434953cb8aa66a6c7b1927d9c1e1257632b988601f58bcccc5b0725c5"
        },
        "http": {
          "status_code_first": 301,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://usermanager.visionportal.net/",
              "status_code": 301
            },
            {
              "url": "https://usermanager.visionportal.net/",
              "status_code": 302
            },
            {
              "url": "https://login.microsoftonline.com/3b2df166-785d-4c14-b66e-dd78ce363c89/oauth2/v2.0/authorize?response_type=code+id_token&redirect_uri=https%3A%2F%2Fusermanager.visionportal.net%2F.auth%2Flogin%2Faad%2Fcallback&client_id=412c5fcb-55c7-4bbf-a8d5-b6c0a6aac714&scope=openid+profile+email&response_mode=form_post&nonce=395fb5b68a3f44aca905f9cdcbe491bf_20260909061351&state=redir%3D%252F",
              "status_code": 200
            }
          ],
          "external_redirection": true,
          "final_url": "https://login.microsoftonline.com/3b2df166-785d-4c14-b66e-dd78ce363c89/oauth2/v2.0/authorize?response_type=code+id_token&redirect_uri=https%3A%2F%2Fusermanager.visionportal.net%2F.auth%2Flogin%2Faad%2Fcallback&client_id=412c5fcb-55c7-4bbf-a8d5-b6c0a6aac714&scope=openid+profile+email&response_mode=form_post&nonce=395fb5b68a3f44aca905f9cdcbe491bf_20260909061351&state=redir%3D%252F",
          "final_fqdn": "login.microsoftonline.com",
          "final_domain": "microsoftonline.com",
          "headers": {
            "others": [
              {
                "name": "pragma",
                "value": "no-cache"
              },
              {
                "name": "expires",
                "value": "-1"
              },
              {
                "name": "vary",
                "value": "Accept-Encoding"
              },
              {
                "name": "cross_origin_opener_policy_report_only",
                "value": "same-origin; report-to=\"coop-endpoint\""
              },
              {
                "name": "reporting_endpoints",
                "value": "coop-endpoint=\"https://coop.msauth.net:443/api/coopReport?client_type=none-none&client_id=412c5fcb-55c7-4bbf-a8d5-b6c0a6aac714&correlation_id=f0ff57e0-f439-4aeb-b759-09ca36f702cc\""
              },
              {
                "name": "link",
                "value": "<https://aadcdn.msauth.net>; rel=preconnect; crossorigin, <https://aadcdn.msauth.net>; rel=preconnect; crossorigin,<https://aadcdn.msauth.net>; rel=dns-prefetch, <https://aadcdn.msauth.net>; rel=preconnect; crossorigin,<https://aadcdn.msauth.net>; rel=dns-prefetch,<https://aadcdn.msftauth.net>; rel=dns-prefetch"
              },
              {
                "name": "x_dns_prefetch_control",
                "value": "on"
              },
              {
                "name": "p3p",
                "value": "CP=\"DSP CUR OTPi IND OTRi ONL FIN\""
              },
              {
                "name": "x_ms_request_id",
                "value": "b68159dd-f33a-4d94-a903-8b046dfe0401"
              },
              {
                "name": "x_ms_ests_server",
                "value": "2.1.25181.4 - EUS ProdSlices"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": "no-store, no-cache",
            "clear_site_data": null,
            "content_encoding": "gzip",
            "content_security_policy": null,
            "content_type": "text/html; charset=utf-8",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": null,
            "permission_policy": null,
            "referrer_policy": null,
            "server": null,
            "set_cookie": "buid=<value>; expires=Fri, 09-Oct-2026 06:08:51 GMT; path=/; secure; HttpOnly, esctx=<value>; domain=.login.microsoftonline.com; path=/; secure; HttpOnly, esctx-bs7M8coh1o8=<value>; domain=.login.microsoftonline.com; path=/; secure; HttpOnly, fpc=<value>; expires=Fri, 09-Oct-2026 06:08:51 GMT; path=/; secure; HttpOnly, x-ms-gateway-slice=<value>; path=/; secure; httponly, stsservicecookie=<value>; path=/; secure; httponly",
            "strict_transport_security": "max-age=31536000; includeSubDomains",
            "x_content_type_options": "nosniff",
            "x_download_options": null,
            "x_frame_options": "DENY",
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": "0"
          },
          "cookies": [
            {
              "name": "esctx",
              "value": "<value>"
            },
            {
              "name": "esctx-bs7M8coh1o8",
              "value": "<value>"
            },
            {
              "name": "buid",
              "value": "<value>"
            },
            {
              "name": "fpc",
              "value": "<value>"
            },
            {
              "name": "stsservicecookie",
              "value": "<value>"
            },
            {
              "name": "x-ms-gateway-slice",
              "value": "<value>"
            }
          ]
        }
      }
    },
    {
      "punycode": "webmail.doigtejewellery.com",
      "unicode": "webmail.doigtejewellery.com",
      "is_idn": false,
      "subdomain": {
        "punycode": "webmail",
        "unicode": "webmail",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 7
      },
      "subdomain_last": {
        "punycode": "webmail",
        "unicode": "webmail",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 7
      },
      "subdomain_root": {
        "punycode": "webmail",
        "unicode": "webmail",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 7
      },
      "name": {
        "punycode": "webmail.doigtejewellery",
        "unicode": "webmail.doigtejewellery",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 22,
        "lang": "en",
        "keywords": [
          "webmail",
          "doig",
          "te",
          "jewellery"
        ],
        "keyword_count": 4,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "doigtejewellery.com",
        "unicode": "doigtejewellery.com",
        "is_idn": false,
        "name": {
          "punycode": "doigtejewellery",
          "unicode": "doigtejewellery",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 15,
          "lang": "en",
          "keywords": [
            "doig",
            "te",
            "jewellery"
          ],
          "keyword_count": 3
        },
        "extension": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2018-03-13T05:05:01Z",
          "update_date": "2025-03-04T03:48:04Z",
          "expiry_date": "2027-03-13T05:05:01Z",
          "registrar": "gabia, inc.",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "ns-1019.awsdns-63.net",
            "ns-1052.awsdns-03.org",
            "ns-2025.awsdns-61.co.uk",
            "ns-507.awsdns-63.com"
          ],
          "domain_status": [
            "clienttransferprohibited"
          ],
          "whois_server": "whois.gabia.com",
          "check_date": "2026-02-26T20:23:19Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-02-26T20:23:19Z",
        "whois_create_date_historical": null,
        "whois_last_change_date": "2025-10-29T20:10:25Z",
        "whois_registrant_email_historical": null,
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-09-12T12:34:05Z",
            "ip_addresses": [
              "18.238.176.6",
              "18.238.176.27",
              "18.238.176.47",
              "18.238.176.96"
            ]
          }
        },
        "dns_last_change_date": "2026-05-28T08:47:43Z",
        "ip_history": null,
        "ssl": {
          "validity": {
            "start_date": "2026-07-14T00:00:00Z",
            "end_date": "2027-01-27T23:59:59Z"
          },
          "serial_number": "5267974842605369204794845967025398579",
          "check_date": "2026-09-11T02:38:41Z"
        },
        "ssl_last_change_date": "2026-09-09T18:07:16Z"
      },
      "type": 2,
      "subdomain_level_count": 1,
      "dns": {
        "a": {
          "update_date": "2026-08-13T20:30:58Z",
          "ip_addresses": [
            "183.111.100.161"
          ]
        },
        "aaaa": {
          "update_date": "2026-08-13T20:30:58Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-08-13T20:30:58Z",
          "name_servers": []
        },
        "mx": {
          "update_date": "2026-08-13T20:30:58Z",
          "mail_servers": []
        },
        "soa": {
          "update_date": "2026-08-13T20:30:58Z",
          "mnames": [],
          "rnames": [],
          "rname_emails": []
        },
        "txt": {
          "update_date": "2026-08-13T20:30:58Z",
          "values": []
        },
        "cname": {
          "update_date": "2026-08-13T20:30:58Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": null,
      "ip_history": [
        "183.111.100.161"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "webmail.doigtejewellery.com"
        ],
        "version": 3,
        "serial_number": "345025145048334627845990825489155170728614",
        "fingerprint": {
          "sha256": "dcf882f9b80291ff92dceb6ef64965fddc99962b398865c8eff1e76230d5fc81",
          "sha1": "5f0b079adc535c7f426a11acebcbb51ba3863295",
          "md5": "ea0d27190620dd0fab433252a6fd65e5"
        },
        "validity": {
          "start_date": "2020-07-27T15:04:15Z",
          "end_date": "2020-10-25T15:04:15Z",
          "length": 7776000
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": false,
          "value": "JJPpl755jDUtZ20ES6cuJu3mwaTSXwttXY7NLTmFQOkBVufeGid/TaOgHdzrxjuqur8EOZ2SBvbAbl+WgXz49/weSbBWNidwP5WlRcVSQKOq8x7wo7117M1o2knRqU7zN1cxqK+Zal1UKKxE0F/QmDal4J2SdBcO3Sa/X7a4MHzMoAoBKnuhUWIgR0RcyiD1tvFfiKJIy2iWpa86OOxikW/N9hkJ7ALhRiXHahozK6PPsW2IA1nCkcY5EKgH4brV8eB8r76c6m0bT0RZ9vQo5Myju+bLw9J/9brLsHMCDyzvnwxqREtx5DS5jY2FjfsKTTe0uVnN8VE6u7tNkI2LqQ==",
          "algorithm": {
            "oid": "1.2.840.113549.1.1.11",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=Let's Encrypt Authority X3,O=Let's Encrypt,C=US",
        "issuer": {
          "common_name": "Let's Encrypt Authority X3",
          "country": "US",
          "state": null,
          "locality": null,
          "organization": "Let's Encrypt",
          "organizational_unit": null
        },
        "subject_dn": "CN=webmail.doigtejewellery.com",
        "subject": {
          "common_name": "webmail.doigtejewellery.com",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "qEpqYwR93brm0Tm3pkVl7/Oo7KE=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.23.140.1.2.1",
            "1.3.6.1.4.1.44947.1.1.1"
          ],
          "extended_key_usage": {
            "client_auth": true,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": true,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2020-07-27T16:04:15Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "webmail.doigtejewellery.com"
            ]
          },
          "subject_key_id": "UHMTcAlJljQ2mSEjJAgqeTInOGY="
        },
        "check_date": "2026-09-10T22:01:42Z"
      },
      "ssl_last_change_date": "2023-01-15T00:42:40Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855"
        },
        "http": {
          "status_code_first": 200,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://webmail.doigtejewellery.com/",
              "status_code": 200
            }
          ],
          "external_redirection": null,
          "final_url": "http://webmail.doigtejewellery.com/",
          "final_fqdn": "webmail.doigtejewellery.com",
          "final_domain": "doigtejewellery.com",
          "headers": {
            "others": [
              {
                "name": "date",
                "value": "Sun, 05 Apr 2026 13:47:11 GMT"
              },
              {
                "name": "content_length",
                "value": "20"
              },
              {
                "name": "connection",
                "value": "keep-alive"
              },
              {
                "name": "vary",
                "value": "Accept-Encoding"
              },
              {
                "name": "content_language",
                "value": "ko"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": null,
            "clear_site_data": null,
            "content_encoding": "gzip",
            "content_security_policy": null,
            "content_type": "text/html",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": null,
            "permission_policy": null,
            "referrer_policy": null,
            "server": "nginx",
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": "nosniff",
            "x_download_options": null,
            "x_frame_options": null,
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": "PHP/5.2.9",
            "x_xss_protection": null
          },
          "cookies": []
        }
      }
    },
    {
      "punycode": "www.hussnaindesigner.com",
      "unicode": "www.hussnaindesigner.com",
      "is_idn": false,
      "subdomain": {
        "punycode": "www",
        "unicode": "www",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 3
      },
      "subdomain_last": {
        "punycode": "www",
        "unicode": "www",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 3
      },
      "subdomain_root": {
        "punycode": "www",
        "unicode": "www",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 3
      },
      "name": {
        "punycode": "www.hussnaindesigner",
        "unicode": "www.hussnaindesigner",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 19,
        "lang": "en",
        "keywords": [
          "www",
          "hussnain",
          "designer"
        ],
        "keyword_count": 3,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "hussnaindesigner.com",
        "unicode": "hussnaindesigner.com",
        "is_idn": false,
        "name": {
          "punycode": "hussnaindesigner",
          "unicode": "hussnaindesigner",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 16,
          "lang": "en",
          "keywords": [
            "hussnain",
            "designer"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2024-05-09T13:18:40Z",
          "update_date": "2026-05-10T12:48:24Z",
          "expiry_date": "2027-05-09T13:18:40Z",
          "registrar": "tucows domains inc.",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "ns-cloud-c1.googledomains.com",
            "ns-cloud-c2.googledomains.com",
            "ns-cloud-c3.googledomains.com",
            "ns-cloud-c4.googledomains.com"
          ],
          "domain_status": [
            "clienttransferprohibited",
            "clientupdateprohibited"
          ],
          "whois_server": "whois.tucows.com",
          "check_date": "2026-09-13T02:57:00Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-09-13T02:57:00Z",
        "whois_create_date_historical": null,
        "whois_last_change_date": "2026-09-13T03:00:11Z",
        "whois_registrant_email_historical": null,
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-09-12T16:45:19Z",
            "ip_addresses": [
              "23.227.38.36"
            ]
          }
        },
        "dns_last_change_date": "2026-02-06T18:10:26Z",
        "ip_history": null,
        "ssl": {
          "validity": {
            "start_date": "2026-08-05T18:05:32Z",
            "end_date": "2026-11-03T18:05:31Z"
          },
          "serial_number": "446495362751414723788977449397493242997525",
          "check_date": "2026-09-03T17:38:19Z"
        },
        "ssl_last_change_date": "2026-09-03T17:40:15Z"
      },
      "type": 2,
      "subdomain_level_count": 1,
      "dns": {
        "a": {
          "update_date": "2026-09-10T07:34:22Z",
          "ip_addresses": [
            "23.227.38.74"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-10T07:34:22Z",
          "ip_addresses": [
            "2620:127:f00f:e::"
          ]
        },
        "ns": {
          "update_date": "2026-09-10T07:34:22Z",
          "name_servers": []
        },
        "mx": {
          "update_date": "2026-09-10T07:34:22Z",
          "mail_servers": []
        },
        "soa": {
          "update_date": "2026-09-10T07:34:22Z",
          "mnames": [],
          "rnames": [],
          "rname_emails": []
        },
        "txt": {
          "update_date": "2026-09-10T07:34:22Z",
          "values": []
        },
        "cname": {
          "update_date": "2026-09-10T07:34:22Z",
          "values": [
            "shops.myshopify.com."
          ]
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-10T10:44:00Z",
      "ip_history": [
        "92.42.111.220",
        "23.227.38.74"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "www.hussnaindesigner.com"
        ],
        "version": 3,
        "serial_number": "538266805087252465688502341798561447067605",
        "fingerprint": {
          "sha256": "bb3199c1dad4bce9b07c2a772b5f7a8fb288a2993dee1dd42dd5fc3ca26f3442",
          "sha1": "decc286c0fe1eda0aa22fd33ab849cd7b25b98aa",
          "md5": "da341fa4da49f92dec0f12ab1d82f696"
        },
        "validity": {
          "start_date": "2026-08-09T08:11:03Z",
          "end_date": "2026-11-07T08:11:02Z",
          "length": 7775999
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": true,
          "value": "MGYCMQDovEp+rC/ng9QspDTtm5m6z3Wbmm5Og7vZT97y64/2NZoK71Qpkl59+qUEV9GjyhQCMQCw3ngVNSrATnapjSJB80X85A6YMi6HFaiUHIxoUMuSWoo5xBUdpxfq/Jc67KD7V7M=",
          "algorithm": {
            "oid": "1.2.840.10045.4.3.3",
            "name": "sha384"
          }
        },
        "issuer_dn": "CN=YE1,O=Let's Encrypt,C=US",
        "issuer": {
          "common_name": "YE1",
          "country": "US",
          "state": null,
          "locality": null,
          "organization": "Let's Encrypt",
          "organizational_unit": null
        },
        "subject_dn": "CN=www.hussnaindesigner.com",
        "subject": {
          "common_name": "www.hussnaindesigner.com",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "uyDKRwv+1+Wc+Y8JKqOMN0WxvNg=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.23.140.1.2.1"
          ],
          "extended_key_usage": {
            "client_auth": null,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": false,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2026-08-09T09:09:34Z",
            "2026-08-09T09:09:35Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "www.hussnaindesigner.com"
            ]
          },
          "subject_key_id": "UdFZ8kGOZihodAKNOp4etAE/W7M="
        },
        "check_date": "2026-09-06T01:55:09Z"
      },
      "ssl_last_change_date": "2026-09-06T01:56:08Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "a40e99fcdd3a8edc58ccb6fa73401e3050d8c3c9e57452a21cecf35267a34c5f"
        },
        "http": {
          "status_code_first": 301,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://www.hussnaindesigner.com/",
              "status_code": 301
            },
            {
              "url": "https://www.hussnaindesigner.com/",
              "status_code": 301
            },
            {
              "url": "https://hussnaindesigner.com/",
              "status_code": 200
            }
          ],
          "external_redirection": false,
          "final_url": "https://hussnaindesigner.com/",
          "final_fqdn": "hussnaindesigner.com",
          "final_domain": "hussnaindesigner.com",
          "headers": {
            "others": [
              {
                "name": "date",
                "value": "Sun, 09 Nov 2025 14:41:08 GMT"
              },
              {
                "name": "transfer_encoding",
                "value": "chunked"
              },
              {
                "name": "connection",
                "value": "keep-alive"
              },
              {
                "name": "x_sorting_hat_podid",
                "value": "218"
              },
              {
                "name": "x_sorting_hat_shopid",
                "value": "70102778075"
              },
              {
                "name": "x_storefront_renderer_rendered",
                "value": "1"
              },
              {
                "name": "etag",
                "value": "W/\"cacheable:7c13e192ebc58485f5f5cda93dafc39b\""
              },
              {
                "name": "link",
                "value": "<https://cdn.shopify.com>; rel=\"preconnect\", <https://cdn.shopify.com>; rel=\"preconnect\"; crossorigin, <//hussnaindesigner.com/cdn/shop/t/1/assets/component-localization-form.css?v=120620094879297847921715243590>; as=\"style\"; rel=\"preload\", <//hussnaindesigner.com/cdn/shop/files/Screenshot_20250121-124244.jpg?v=1737640064&width=600>; as=\"image\"; rel=\"preload\"; imagesrcset=\"//hussnaindesigner.com/cdn/shop/files/Screenshot_20250121-124244.jpg?v=1737640064&width=150 150w, //hussnaindesigner.com/cdn/shop/files/Screenshot_20250121-124244.jpg?v=1737640064&width=225 225w, //hussnaindesigner.com/cdn/shop/files/Screenshot_20250121-124244.jpg?v=1737640064&width=300 300w\"; imagesizes=\"(max-width: 300px) 50vw, 150px\""
              },
              {
                "name": "speculation_rules",
                "value": "\"/cdn/shopifycloud/storefront/assets/storefront/storefronts.specrules-dd5621a1.json\""
              },
              {
                "name": "shopify_complexity_score",
                "value": "0"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": null,
            "clear_site_data": null,
            "content_encoding": "gzip",
            "content_security_policy": "block-all-mixed-content; frame-ancestors 'none'; upgrade-insecure-requests;",
            "content_type": "text/html; charset=utf-8",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": null,
            "permission_policy": null,
            "referrer_policy": null,
            "server": "cloudflare",
            "set_cookie": "localization=<value>; path=/; expires=Mon, 09 Nov 2026 14:41:08 GMT, _shopify_y=<value>; domain=hussnaindesigner.com; path=/; expires=Mon, 09 Nov 2026 20:41:08 GMT; SameSite=Lax, _shopify_s=<value>; domain=hussnaindesigner.com; path=/; expires=Sun, 09 Nov 2025 15:11:08 GMT; SameSite=Lax, _shopify_essential=<value>; Max-Age=31536000; Path=/; HttpOnly; Secure; Priority=High; SameSite=Lax, _shopify_analytics=<value>; Max-Age=31536000; Path=/; HttpOnly; Secure; Priority=High; SameSite=Lax",
            "strict_transport_security": "max-age=7889238",
            "x_content_type_options": "nosniff",
            "x_download_options": "noopen",
            "x_frame_options": "DENY",
            "x_permitted_cross_domain_policies": "none",
            "x_powered_by": null,
            "x_xss_protection": "1; mode=block"
          },
          "cookies": [
            {
              "name": "_shopify_s",
              "value": "<value>"
            },
            {
              "name": "_shopify_y",
              "value": "<value>"
            },
            {
              "name": "_shopify_analytics",
              "value": "<value>"
            },
            {
              "name": "_shopify_essential",
              "value": "<value>"
            },
            {
              "name": "localization",
              "value": "<value>"
            }
          ]
        }
      }
    }
  ]
}
```

## Related Examples

- [Issuer Common Name](/reference/discovery/domain-search/examples/ssl-issuer-common-name/)
- [Issuer State](/reference/discovery/domain-search/examples/ssl-issuer-state/)
- [Issuer Distinguished Name](/reference/discovery/domain-search/examples/ssl-issuer-dn/)
- [Issuer Locality](/reference/discovery/domain-search/examples/ssl-issuer-locality/)
- [Issued by Let's Encrypt](/reference/discovery/domain-search/examples/ssl-issuer-organization/)
- [Certificates With a Valid Signature](/reference/discovery/domain-search/examples/ssl-signature-is-valid/)
